import { IDefines } from '../defines/defines';
import { MagickFormat } from '../magick-format';
import { MagickColor } from '../magick-color';
export declare class MagickSettings {
    backgroundColor?: MagickColor;
    fillColor?: MagickColor;
    font?: string;
    fontPointsize?: number;
    format?: MagickFormat;
    strokeColor?: MagickColor;
    strokeWidth?: number;
    getDefine(name: string): string;
    getDefine(format: MagickFormat, name: string): string;
    setDefine(name: string, value: string): void;
    setDefine(format: MagickFormat, name: string, value: string): void;
    setDefine(format: MagickFormat, name: string, value: number): void;
    setDefine(format: MagickFormat, name: string, value: boolean): void;
    setDefines(defines: IDefines): void;
    private parseDefine;
}
